import React, { useMemo, useState } from 'react';
import { Image, Text, TouchableOpacity, ActivityIndicator } from 'react-native';
import { getFileNameFromAttachment } from '../../../../../../utils/getFilenameFromAttachment';
import RNFS from 'react-native-fs';
import attachIcon from '../../../../../../assets/attach_icon.png';
import { styles } from './styles';
const DocumentComponent = msg => {
  const [isDownloading, setIsDownloading] = useState(false);
  const fileName = useMemo(() => getFileNameFromAttachment(msg.document), [msg.document]);
  const downloadDocumentToDevice = async () => {
    setIsDownloading(true);
    try {
      var _msg$document;
      const destination = `${RNFS.DownloadDirectoryPath}/${fileName}`;
      const job = RNFS.downloadFile({
        fromUrl: (_msg$document = msg.document) === null || _msg$document === void 0 ? void 0 : _msg$document.fileUrl,
        toFile: destination
      });
      await job.promise;
    } catch (error) {
      throw error;
    } finally {
      setIsDownloading(false);
    }
  };
  const onDocumentPress = () => {
    downloadDocumentToDevice();
  };
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onDocumentPress,
    style: styles.container
  }, isDownloading ? /*#__PURE__*/React.createElement(ActivityIndicator, null) : /*#__PURE__*/React.createElement(Image, {
    source: attachIcon
  }), /*#__PURE__*/React.createElement(Text, {
    style: styles.text
  }, fileName));
};
export default DocumentComponent;
//# sourceMappingURL=index.js.map